From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/lshw/
Date: Wed, 28 Feb 2024 16:07:49 +0000 (UTC) [thread overview]
Message-ID: <1709136464.05b2112277b96e0a24800ce546ce895b55699d07.bkohler@gentoo> (raw)
commit: 05b2112277b96e0a24800ce546ce895b55699d07
Author: Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 28 15:53:48 2024 +0000
Commit: Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Wed Feb 28 16:07:44 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05b21122
sys-apps/lshw: add 02.20.2b
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>
sys-apps/lshw/Manifest | 1 +
sys-apps/lshw/lshw-02.20.2b.ebuild | 97 ++++++++++++++++++++++++++++++++++++++
2 files changed, 98 insertions(+)
diff --git a/sys-apps/lshw/Manifest b/sys-apps/lshw/Manifest
index 11f49bc922c2..9b64d8aaabb9 100644
--- a/sys-apps/lshw/Manifest
+++ b/sys-apps/lshw/Manifest
@@ -1 +1,2 @@
DIST lshw-02.19.2b_p20220831-B.02.19.2_p20220831.tar.gz 2482679 BLAKE2B 00cc7512a020e05577d82b6ab528524f929ef51455502eb8d9abbb3a2f75cac25d837a888ecf1e55a9c4251bb6515aedf4586da0c3f2f6b587ff0413acda3865 SHA512 d0ea5706850a07bbc82c627ce25a2774bbda6f565e259136d89774ec5e85770d8c2373ead46f6f7b1586c85aebdf1383b7ae1539b3f2f9d1b33fa777bc5589f5
+DIST lshw-02.20.2b-B.02.20.2_.tar.gz 2473654 BLAKE2B 5f3753902a49a65c2b616d94ba376d2408bf972c11c854699ed69de6a22ef6f9dbaeb2cc13ffd52a4607a8baf6f74cfe00d1206f94c9287bce99aae035b2d2e1 SHA512 ec7992aa09dc6e01bd1c7b9c7e0b7d5b041f558759a2ba6cdef574d4d6886e69e5fe5bac023b06574deec2f03bb52e306359faa0e0689ea5e65fd84359efd2b2
diff --git a/sys-apps/lshw/lshw-02.20.2b.ebuild b/sys-apps/lshw/lshw-02.20.2b.ebuild
new file mode 100644
index 000000000000..ad96a414a251
--- /dev/null
+++ b/sys-apps/lshw/lshw-02.20.2b.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="ca es fr"
+
+inherit desktop flag-o-matic plocale toolchain-funcs xdg-utils
+
+MY_COMMIT=42fef565731411a784101de614a54bff79d1858e
+MY_PV=$(ver_cut 3 PV/b/B).$(ver_cut 1-3)_$(ver_cut 5-6)
+
+DESCRIPTION="Hardware Lister"
+HOMEPAGE="https://www.ezix.org/project/wiki/HardwareLiSter"
+SRC_URI="https://ezix.org/src/pkg/lshw/archive/${MY_COMMIT}.tar.gz -> ${P}-${MY_PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="gtk sqlite static"
+
+REQUIRED_USE="static? ( !gtk !sqlite )"
+
+DEPEND="${RDEPEND}"
+RDEPEND="sys-apps/hwdata
+ gtk? ( x11-libs/gtk+:3 )
+ sqlite? ( dev-db/sqlite:3 )"
+BDEPEND="gtk? ( virtual/pkgconfig )
+ sqlite? ( virtual/pkgconfig )"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( COPYING README.md docs/{Changelog,TODO,IODC.txt,lshw.xsd,proc_usb_info.txt} )
+
+PATCHES=( "${FILESDIR}"/lshw-02.19.2b-respect-LDFLAGS.patch )
+
+src_prepare() {
+ default
+
+ plocale_find_changes "src/po" "" ".po" || die
+ sed -i \
+ -e "/^LANGUAGES =/ s/=.*/= $(plocale_get_locales)/" \
+ src/po/Makefile || die
+ sed -i \
+ -e 's:\<pkg-config\>:${PKG_CONFIG}:' \
+ -e 's:+\?make -C:${MAKE} -C:' \
+ -e '/^CXXFLAGS/s:=-g: +=:' \
+ -e '/^CXXFLAGS/s:-g ::' \
+ -e '/^LDFLAGS/s: -g::' \
+ -e '/^all:/s: $(DATAFILES)::' \
+ -e '/^install:/s: all::' \
+ src/Makefile src/gui/Makefile || die
+ sed -i \
+ -e '/^CXXFLAGS/s:\?=-g: +=:' \
+ -e '/^LDFLAGS=/d' \
+ src/core/Makefile || die
+ sed -i \
+ -e '/^#define PCIID_PATH/s:DATADIR"\/pci.ids.*:"/usr/share/hwdata/pci.ids":' \
+ src/core/pci.cc || die
+ sed -i \
+ -e '/^#define USBID_PATH/s:DATADIR"\/usb.ids.*:"/usr/share/hwdata/usb.ids":' \
+ src/core/usb.cc || die
+}
+
+src_compile() {
+ tc-export CC CXX AR PKG_CONFIG
+ use static && append-ldflags -static
+
+ # Need two sep make statements to avoid parallel build issues. #588174
+ local sqlite=$(usex sqlite 1 0)
+ emake VERSION=${MY_PV} SQLITE=${sqlite} all
+ use gtk && emake SQLITE=${sqlite} gui
+}
+
+src_install() {
+ emake VERSION=${MY_PV} DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install $(usex gtk 'install-gui' '')
+ if use gtk ; then
+ newicon -s scalable src/gui/artwork/logo.svg lshw.svg
+ make_desktop_entry \
+ "${EPREFIX}"/usr/sbin/gtk-lshw \
+ "${DESCRIPTION}"
+ fi
+}
+
+pkg_postinst() {
+ if use gtk ; then
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ fi
+}
+
+pkg_postrm() {
+ if use gtk ; then
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ fi
+}
next reply other threads:[~2024-02-28 16:07 UTC|newest]
Thread overview: 72+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-28 16:07 Ben Kohler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-25 17:31 [gentoo-commits] repo/gentoo:master commit in: sys-apps/lshw/ Arthur Zamarin
2024-05-23 21:57 Sam James
2024-05-23 21:56 Sam James
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-03-29 15:38 Ben Kohler
2024-02-28 16:25 Ben Kohler
2024-01-22 8:36 Sam James
2023-11-03 12:23 Ben Kohler
2023-09-02 0:23 Ben Kohler
2023-05-12 16:31 Sam James
2023-05-12 16:31 Sam James
2023-05-12 16:31 Sam James
2023-05-12 16:31 Sam James
2023-05-12 16:26 Sam James
2023-05-12 16:26 Sam James
2023-05-12 16:26 Sam James
2023-03-01 15:08 Ben Kohler
2022-02-19 13:14 Ben Kohler
2022-02-06 12:59 Ben Kohler
2022-01-18 22:16 Sam James
2022-01-14 15:23 Arthur Zamarin
2022-01-14 13:46 Jakov Smolić
2022-01-14 13:46 Jakov Smolić
2022-01-14 13:22 Arthur Zamarin
2022-01-14 13:22 Arthur Zamarin
2022-01-14 13:22 Arthur Zamarin
2021-12-25 0:02 Mike Gilbert
2021-12-07 20:29 Sam James
2021-11-28 20:08 Mike Gilbert
2021-08-10 0:02 Marek Szuba
2021-07-13 13:44 Ben Kohler
2021-07-04 14:03 Ulrich Müller
2021-05-29 15:33 Sam James
2021-05-28 12:04 Agostino Sarubbo
2021-05-28 12:03 Agostino Sarubbo
2021-05-27 19:18 Sam James
2021-05-27 19:14 Sam James
2021-05-18 15:18 Ben Kohler
2021-05-17 8:53 Agostino Sarubbo
2021-05-17 7:49 Agostino Sarubbo
2021-05-17 3:19 Sam James
2021-05-17 3:04 Sam James
2021-05-17 2:37 Sam James
2021-05-16 23:41 Sam James
2021-05-16 23:41 Sam James
2021-04-27 8:07 David Seifert
2021-04-26 17:48 Ben Kohler
2021-04-21 14:13 Guilherme Amadio
2021-04-03 15:44 Sam James
2021-03-23 15:22 Ben Kohler
2021-03-23 15:22 Ben Kohler
2021-03-23 15:22 Ben Kohler
2020-08-19 20:06 Sam James
2020-06-06 19:31 Mart Raudsepp
2017-11-06 21:20 Sergei Trofimovich
2017-09-30 23:44 Thomas Deutschmann
2017-09-26 22:37 Manuel Rüger
2017-09-22 19:40 Sergei Trofimovich
2017-09-09 18:45 Sergei Trofimovich
2017-09-09 10:27 Markus Meier
2017-09-04 7:30 Tobias Klausmann
2017-09-01 22:36 Sergei Trofimovich
2017-09-01 2:22 Tim Harder
2017-03-15 6:02 Mike Frysinger
2017-03-15 5:42 Mike Frysinger
2016-05-20 15:45 Mike Frysinger
2016-05-20 15:41 Mike Frysinger
2016-05-15 20:40 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1709136464.05b2112277b96e0a24800ce546ce895b55699d07.bkohler@gentoo \
--to=bkohler@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox